package model

import "github.com/zeromicro/go-zero/core/stores/sqlx"

var _ DcEventBindModel = (*customDcEventBindModel)(nil)

type (
	// DcEventBindModel is an interface to be customized, add more methods here,
	// and implement the added methods in customDcEventBindModel.
	DcEventBindModel interface {
		dcEventBindModel
	}

	customDcEventBindModel struct {
		*defaultDcEventBindModel
	}
)

// NewDcEventBindModel returns a model for the database table.
func NewDcEventBindModel(conn sqlx.SqlConn) DcEventBindModel {
	return &customDcEventBindModel{
		defaultDcEventBindModel: newDcEventBindModel(conn),
	}
}
