package model

import "github.com/zeromicro/go-zero/core/stores/sqlx"

var _ DcAppInfoModel = (*customDcAppInfoModel)(nil)

type (
	// DcAppInfoModel is an interface to be customized, add more methods here,
	// and implement the added methods in customDcAppInfoModel.
	DcAppInfoModel interface {
		dcAppInfoModel
	}

	customDcAppInfoModel struct {
		*defaultDcAppInfoModel
	}
)

// NewDcAppInfoModel returns a model for the database table.
func NewDcAppInfoModel(conn sqlx.SqlConn) DcAppInfoModel {
	return &customDcAppInfoModel{
		defaultDcAppInfoModel: newDcAppInfoModel(conn),
	}
}
