package model

import "github.com/zeromicro/go-zero/core/stores/sqlx"

var _ DcCleanBindModel = (*customDcCleanBindModel)(nil)

type (
	// DcCleanBindModel is an interface to be customized, add more methods here,
	// and implement the added methods in customDcCleanBindModel.
	DcCleanBindModel interface {
		dcCleanBindModel
	}

	customDcCleanBindModel struct {
		*defaultDcCleanBindModel
	}
)

// NewDcCleanBindModel returns a model for the database table.
func NewDcCleanBindModel(conn sqlx.SqlConn) DcCleanBindModel {
	return &customDcCleanBindModel{
		defaultDcCleanBindModel: newDcCleanBindModel(conn),
	}
}
