package xerr

// 成功返回
const OK uint32 = 200

/**(前3位代表业务,后三位代表具体功能)**/

// 全局错误码
const SERVER_COMMON_ERROR uint32 = 100001
const REUQEST_PARAM_ERROR uint32 = 100002
const TOKEN_EXPIRE_ERROR uint32 = 100003
const TOKEN_GENERATE_ERROR uint32 = 100004
const DB_ERROR uint32 = 100005
const DB_UPDATE_AFFECTED_ZERO_ERROR uint32 = 100006
const REUQEST_PARAM_APP_NAME_MISS_ERROR uint32 = 100007 // 请求参数中, 缺少header中的APP_NAME
const REUQEST_PARAM_SIGN_MISS_ERROR uint32 = 100008     // 请求参数中缺少sign
const REUQEST_PARAM_DATA_SIGN_ERROR uint32 = 100009     // 请求参数中的sign验证失败
const REUQEST_PARAM_APP_NAME_ERROR uint32 = 100010      // 请求参数中, APP_NAME不存在或处理不可用的状态
const REUQEST_PARAM_TS_ERROR uint32 = 100011            // 请求参数中, APP_NAME不存在或处理不可用的状态

// 备品备件模块
const OUT_AMOUNT_OVER_ON_AMOUNT_ERROR uint32 = 100101
const CATEGORY_NOT_EXIST_ERROR uint32 = 100102
const RECORD_NOT_EXIST_ERROR uint32 = 100103
const NOT_IN_AMOUNT_ERROR uint32 = 100104
const NOT_DEL_ERROR uint32 = 100105
const NOT_IN_AMOUNT_OUT_ERROR uint32 = 100106
const NOT_ON_AMOUNT_OVER_SCRAP_ERROR uint32 = 100107
const TIME_ERROR uint32 = 100108
const OPEN_FILE_ERROR uint32 = 100109
const EXCEL_NULL_ERROR uint32 = 1000110
const READ_EXCEL_ERROR uint32 = 1000111
const NOT_PER_ERROR uint32 = 100112
const IN_STORE_RECORD_NOT_EXIST_ERROR uint32 = 100113
const STORE_INVENTORY_ERROR uint32 = 100114
const STORE_INVENTORY_MONTH_ERROR uint32 = 100115
const STORE_UPDATE_ONCE_DAY_ERROR uint32 = 100116

// 物联网
const NOT_DATA_ERROR uint32 = 100201
